package Streams;
import java.time.Duration;
import java.util.ArrayList;
import java.util.List;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class Filtering {
    public static void main(String[] args) {

        ChromeOptions ssl= new ChromeOptions();
        ssl.setAcceptInsecureCerts(true);
        WebDriver obj = new ChromeDriver(ssl);

        obj.get("https://www.daraz.pk/#?");

        WebElement searchBox = obj.findElement(By.cssSelector("input[placeholder='Search in Daraz']"));
        searchBox.sendKeys("gents chappal");
        WebDriverWait wait = new WebDriverWait(obj, Duration.ofSeconds(10));



        List<WebElement> rows = wait.until(ExpectedConditions.visibilityOfAllElementsLocatedBy(By.xpath("//div[@class='suggest-list--3Tm8']//a")));

        List<String> results= new ArrayList<>();

        //System.out.println(rows);

       for(WebElement e: rows)
       {
           results.add(e.getText());
       }

        for(int i =0; i<results.size();i++)
        {
            System.out.println("The item of filter: "+results.get(i));
        }
    }
}
