package Streams;

import java.util.ArrayList;
import java.util.List;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;

public class Pagenation
{
    public static void main(String[] args)
    {
        WebDriver obj = new ChromeDriver();
        obj.get("https://datatables.net/");

        WebElement searchBox = obj.findElement(By.xpath("//div[@class='dt-search']//input"));
        searchBox.sendKeys("london");

        List<String> lists = new ArrayList<>();
        boolean button = true;

        while (button)
        {
            List<WebElement> items = obj.findElements(By.xpath("//div[@class='dt-layout-row dt-layout-table']//tbody/tr"));

            for (WebElement e : items)
            {
                lists.add(e.getText());
            }

            try
            {
                WebElement nextButton = obj.findElement(By.xpath("//button[@class='dt-paging-button next']"));

                if (nextButton.isEnabled())
                {
                    nextButton.click();
                }
                else
                {
                    button = false;
                }
            }

            catch (Exception e)
            {
                button = false;
            }
        }

        for (String value : lists)
        {
            System.out.println("Value fetched: " + value);
        }

        obj.quit();
    }
}